.posts-wrap {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.post {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  border-radius: var(--radius);
  font-size: 0.9rem;
  box-shadow: var(--shadow);
  background: var(--bg2);
  gap: 1.5rem;
}

.post:not(:last-child) {
  margin-bottom: 1.5rem;
}

.post h2:before {
  content: "";
}

.post h2 {
  cursor: pointer;
  margin: 0;
  padding: 0;
}

.posts p {
  margin: 0.5rem 0;
}

.post a {
  color: var(--accent);
  text-decoration: none;
}

.post-title {
  font-size: 1.2rem;
  font-weight: bold;
  color: var(--text) !important;
}

.post-description {
  color: var(--text);
}

.post-date {
  color: var(--muted);
  font-size: 0.8rem;
  margin-top: auto;
}

.post-info {
  flex: 1 1 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 1rem;
}

.post-image {
  flex: 0 0 10%;
  min-width: 10rem;
  max-width: 10rem;
  max-height: 10rem;
  min-height: 10rem;
  background-position: center;
  background-size: cover;
  border-radius: var(--radius);
  background-color: var(--bg);
}

.no-posts {
  text-align: center;
  padding: 2rem;
  color: var(--muted);
}

.search-bar {
  width: 50%;
  padding: 1rem;
  border: 1px solid var(--border);
  border-radius: var(--radius);
  font-size: 1rem;
  background: var(--bg2);
  color: var(--text);
  box-shadow: var(--shadow);
  margin: 1rem auto;
  display: block;
}

@media (max-width: 1000px) {
  .search-bar {
    width: 80%;
  }
}
